## com.sun.jersey.api.model
Class AbstractImplicitViewMethod

    java.lang.Object
      com.sun.jersey.api.model.AbstractMethod
          com.sun.jersey.api.model.AbstractImplicitViewMethod

All Implemented Interfaces:
  java.lang.reflect.AnnotatedElement

    public class AbstractImplicitViewMethod

extends AbstractMethod

Abstraction for an implicit view method.

The annotations on this abstract method will be copied from the class. The Java method will be null.

Constructor Summary
`AbstractImplicitViewMethod(AbstractResource resource)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class com.sun.jersey.api.model.AbstractMethod
`getAnnotation, getAnnotations, getDeclaredAnnotations, getMethod, getResource, isAnnotationPresent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractImplicitViewMethod

    public AbstractImplicitViewMethod(AbstractResource resource)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2017 Oracle Corporation. All Rights Reserved.